Subject: LDAP URL instructions (was Re: protocol-27 comments #3)

From: "Jim Sermersheim" <[email-masked]>
Date: Mon, 08 Nov 2004 12:34:14 -0700

>>> Hallvard B Furuseth <[email-masked]> 11/8/04 5:59:28 AM
>>>
<snip>
>> UTF-8 encoded characters
>> appearing in the string representation of a DN or search filter
>> may not be legal for URLs (e.g. spaces) and MUST be escaped using
>> the % method in [URI].
>
>> - If the <dn> part is present, the client MUST use this name in its
>> next request to progress the operation, and if it is not present
>> the client will use the same name as in the original request.
>
>s/will/MUST/ for consistency.

I prefer to remove the other MUST. It's reasonable that URL extensions
or other mechanisms may be used in the future to specify a new target.
Also, while this MUST promotes interoperability between two clients, it
isn't needed for client server interaction.

>> - If the <scope> part is missing, the scope of the original search
>> is used by the client to progress the operation.
>
>s/is/MUST be/. (Or go the other way, and remove MUSTs in this list.)

Same as above.

<snip>
Jim